<script type="text/javascript" src="{$fsc->get_js_location('provincias.js')}"></script>
<script type="text/javascript" src="{$fsc->get_js_location('nueva_venta.js')}"></script>
<script type="text/javascript">
    fs_nf0 = {#FS_NF0#};
    fs_nf0_art = {#FS_NF0_ART#};
    all_impuestos = {function="json_encode($fsc->impuesto->all())"};
    default_impuesto = '{$fsc->default_items->codimpuesto()}';
    all_series = {function="json_encode($fsc->serie->all())"};
    all_direcciones = {function="json_encode($fsc->cliente_s->get_direcciones())"};
    cliente = {function="json_encode($fsc->cliente_s)"};
    nueva_venta_url = '{$fsc->url()}';
    
    $(document).ready(function() {
        usar_serie();
        usar_almacen();
        usar_divisa();
        recalcular();
    });
</script>

<form id="f_new_albaran" class="form" name="f_new_albaran" action="{$fsc->url()}" method="post">
    <input type="hidden" name="petition_id" value="{$fsc->random_string()}"/>
    <input type="hidden" id="numlineas" name="numlineas" value="0"/>
    <input type="hidden" name="cliente" value="{$fsc->cliente_s->codcliente}"/>
    <input type="hidden" name="redir"/>
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-6">
                <h1 style="margin-top: 5px; margin-bottom: 0px;">
                    <span class="glyphicon glyphicon-user" aria-hidden="true"></span>
                    <a href="{$fsc->cliente_s->url()}">{$fsc->cliente_s->razonsocial}</a>
                    {if="$fsc->cliente_s->razonsocial!=$fsc->cliente_s->nombre"}
                    <small>
                        <a href="#" onclick="bootbox.alert({message: 'Cliente conocido como: {$fsc->cliente_s->nombre}', title: '<b>Atención</b>'});">
                            <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span>
                        </a>
                    </small>
                    {/if}
                </h1>
                {loop="$fsc->grupo->all()"}
                {if="$value->codgrupo==$fsc->cliente_s->codgrupo"}
                <p class="help-block">
                    <span class="glyphicon glyphicon-folder-open" aria-hidden="true"></span>&nbsp;
                    <a href="{$value->url()}">{$value->nombre}</a> &nbsp;
                    {if="$value->codtarifa"}
                    <span class="glyphicon glyphicon-usd" aria-hidden="true"></span>
                    tarifa {$value->codtarifa}
                    {elseif="$fsc->cliente_s->codtarifa"}
                    <span class="glyphicon glyphicon-usd" aria-hidden="true"></span>
                    tarifa {$fsc->cliente_s->codtarifa}
                    {else}
                    <span class="glyphicon glyphicon-usd" aria-hidden="true"></span>
                    ninguna tarifa asignada.
                    {/if}
                </p>
                {/if}
                {/loop}
            </div>
            {if="$fsc->multi_almacen"}
            <div class="col-sm-2">
                <div class="form-group">
                    <a href="{$fsc->almacen->url()}">Almacén</a>:
                    <select name="almacen" class="form-control" id="codalmacen" onchange="usar_almacen()">
                        {loop="$fsc->almacen->all()"}
                        {if="$value->is_default()"}
                        <option value="{$value->codalmacen}" selected="">{$value->nombre}</option>
                        {else}
                        <option value="{$value->codalmacen}">{$value->nombre}</option>
                        {/if}
                        {/loop}
                    </select>
                </div>
            </div>
            {else}
            <div class="col-sm-2">
                <input type="hidden" name="almacen" value="{$fsc->empresa->codalmacen}" id="codalmacen"/>
            </div>
            {/if}
              <div class="col-sm-2" style="display:none">
                <div class="form-group">
                    <a href="{$fsc->serie->url()}" class="text-capitalize">{#FS_SERIE#}</a>:
                    <select name="serie" class="form-control" id="codserie" onchange="usar_serie();recalcular();">
                        {loop="$fsc->serie->all()"}
                        {if="$value->codserie==$fsc->cliente_s->codserie"}
                        <option value="{$value->codserie}" selected="">{$value->descripcion}</option>
                        {elseif="$value->is_default() && is_null($fsc->cliente_s->codserie)"}
                        <option value="{$value->codserie}" selected="">{$value->descripcion}</option>
                        {else}
                        <option value="{$value->codserie}">{$value->descripcion}</option>
                        {/if}
                        {/loop}
                    </select>
                </div>
            </div> 
             
            <div class="col-sm-2" >
                <div class="form-group">
                    <a href="{$fsc->divisa->url()}">Divisa</a>:
                    <select  disabled  class="form-control" id="coddivisa" onchange="usar_divisa()">
                        {loop="$fsc->divisa->all()"}
                        {if="$value->is_default()"}
                        <option value="{$value->coddivisa}" selected="">{$value->descripcion}</option>
                        {else}
                        <option value="{$value->coddivisa}">{$value->descripcion}</option>
                        {/if}
                        {/loop}
                    </select>
                </div>
            </div>
            <div class="col-sm-2" style="display:none">
                <div class="form-group">
                    <a href="{$fsc->divisa->url()}">Divisa</a>:
                    <select  name="divisa"  class="form-control" id="coddivisa" onchange="usar_divisa()">
                        {loop="$fsc->divisa->all()"}
                        {if="$value->is_default()"}
                        <option value="{$value->coddivisa}" selected="">{$value->descripcion}</option>
                        {else}
                        <option value="{$value->coddivisa}">{$value->descripcion}</option>
                        {/if}
                        {/loop}
                    </select>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 text-right">
                {loop="$fsc->extensions"}
                {if="$value->type=='btn_javascript'"}
                <button class="btn btn-sm btn-default" type="button" onclick="{$value->params}">{$value->text}</button>
                {/if}
                {/loop}
            </div>
        </div>
    </div>

    <div role="tabpanel">
        <ul class="nav nav-tabs" role="tablist">
            <li role="presentation" class="active">
                <a href="#lineas" aria-controls="lineas" role="tab" data-toggle="tab">
                    <span class="glyphicon glyphicon-list" aria-hidden="true"></span>
                    <span class="hidden-xs">&nbsp;Líneas</span>
                </a>
            </li>
            <li role="presentation">
                <a href="#detalles" aria-controls="detalles" role="tab" data-toggle="tab">
                    <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span>
                    <span class="hidden-xs">&nbsp;Detalles</span>
                </a>
            </li>
            <li role="presentation">
                <a href="#envio" aria-controls="envio" role="tab" data-toggle="tab">
                    <span class="glyphicon glyphicon-road" aria-hidden="true"></span>
                    <span class="hidden-xs">&nbsp;Envío</span>
                </a>
            </li>
            {loop="$fsc->extensions"}
            {if="$value->type=='tab'"}
            <li role="presentation">
                <a href="#ext_{$value->name}" aria-controls="ext_{$value->name}" role="tab" data-toggle="tab">{$value->text}</a>
            </li>
            {/if}
            {/loop}
        </ul>
        <div class="tab-content">
            <div role="tabpanel" class="tab-pane active" id="lineas">
                {include="block/nueva_venta_lineas"}
            </div>
            <div role="tabpanel" class="tab-pane" id="detalles">
                <div class="container-fluid" style="margin-top: 10px;">
                    <div class="row">
                        <div class="col-sm-3">
                            <div class="form-group">
                                Nombre del cliente:
                                <input class="form-control" type="text" name="nombrecliente" value="{$fsc->cliente_s->razonsocial}" autocomplete="off"/>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="form-group">
                                {$fsc->cliente_s->tipoidfiscal}:
                                <input class="form-control" type="text" name="cifnif" value="{$fsc->cliente_s->cifnif}" maxlength="30" autocomplete="off"/>
                            </div>
                        </div>
                        <div class="col-sm-2"></div>
                        <div class="col-sm-2">
                            <div class="form-group">
                                <a href="{$fsc->agente->url()}">Empleado</a>:
                                <select name="codagente" class="form-control">
                                    <option value="{$fsc->agente->codagente}">{$fsc->agente->get_fullname()}</option>
                                    {if="$fsc->user->admin"}
                                    <option value="{$fsc->agente->codagente}">-----</option>
                                    {loop="$fsc->agente->all()"}
                                    <option value="{$value->codagente}">{$value->get_fullname()}</option>
                                    {/loop}
                                    {/if}
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                Tasa de conversión (1€ = X)
                                <input type="text" name="tasaconv" class="form-control" placeholder="(predeterminada)" autocomplete="off"/>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <h3>
                                <span class="glyphicon glyphicon-road" aria-hidden="true"></span>
                                &nbsp;Dirección de facturación:
                            </h3>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-3">
                            <div class="form-group">
                                Direcciones del cliente:
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <span class="glyphicon glyphicon-th-list" aria-hidden="true"></span>
                                    </span>
                                    <select name="coddir" class="form-control" onchange="usar_direccion();">
                                        {loop="$fsc->cliente_s->get_direcciones()"}
                                        {if="$value->id==$fsc->direccion->id"}
                                        <option value="{$value->id}" selected="">{$value->descripcion}</option>
                                        {else}
                                        <option value="{$value->id}">{$value->descripcion}</option>
                                        {/if}
                                        {/loop}
                                        {if="$fsc->direccion"}
                                        <option value="">------</option>
                                        <option value="nueva">Guardar como nueva</option>
                                        {else}
                                        <option value="nueva" selected="">Guardar como nueva</option>
                                        {/if}
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <a href="{$fsc->pais->url()}">País</a>:
                                <select class="form-control" name="codpais">
                                    {if="$fsc->direccion"}
                                    {loop="$fsc->pais->all()"}
                                    {if="$value->codpais==$fsc->direccion->codpais"}
                                    <option value="{$value->codpais}" selected="">{$value->nombre}</option>
                                    {else}
                                    <option value="{$value->codpais}">{$value->nombre}</option>
                                    {/if}
                                    {/loop}
                                    {else}
                                    {loop="$fsc->pais->all()"}
                                    {if="$value->is_default()"}
                                    <option value="{$value->codpais}" selected="">{$value->nombre}</option>
                                    {else}
                                    <option value="{$value->codpais}">{$value->nombre}</option>
                                    {/if}
                                    {/loop}
                                    {/if}
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <span class="text-capitalize">{#FS_PROVINCIA#}</span>:
                                {if="$fsc->direccion"}
                                <input id="ac_provincia" class="form-control" type="text" name="provincia" value="{$fsc->direccion->provincia}"/>
                                {else}
                                <input id="ac_provincia" class="form-control" type="text" name="provincia"/>
                                {/if}
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                Ciudad:
                                {if="$fsc->direccion"}
                                <input class="form-control" type="text" name="ciudad" value="{$fsc->direccion->ciudad}"/>
                                {else}
                                <input class="form-control" type="text" name="ciudad"/>
                                {/if}
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-3">
                            <div class="form-group">
                                Código Postal:
                                {if="$fsc->direccion"}
                                <input class="form-control" type="text" name="codpostal" value="{$fsc->direccion->codpostal}" maxlength="10" autocomplete="off"/>
                                {else}
                                <input class="form-control" type="text" name="codpostal" maxlength="10" autocomplete="off"/>
                                {/if}
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                Dirección:
                                {if="$fsc->direccion"}
                                <input class="form-control" type="text" name="direccion" value="{$fsc->direccion->direccion}" autocomplete="off"/>
                                {else}
                                <input class="form-control" type="text" name="direccion" placeholder="Calle ..." autocomplete="off"/>
                                {/if}
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <span class="text-capitalize">{#FS_APARTADO#}</span>:
                                {if="$fsc->direccion"}
                                <input class="form-control" type="text" name="apartado" value="{$fsc->direccion->apartado}" maxlength="10" autocomplete="off"/>
                                {else}
                                <input class="form-control" type="text" name="apartado" maxlength="10" autocomplete="off"/>
                                {/if}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div role="tabpanel" class="tab-pane" id="envio">
                <div class="container-fluid" style="margin-top: 10px;">
                    <div class="row">
                        <div class="col-sm-2">
                            <div class="form-group">
                                Nombre:
                                <input type="text" name="envio_nombre" class="form-control" placeholder="(opcional)" autocomplete="off"/>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                Apellidos:
                                <input type="text" name="envio_apellidos" class="form-control" placeholder="(opcional)" autocomplete="off"/>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <a href="{$fsc->agencia->url()}">Agencia de transporte</a>:
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <span class="glyphicon glyphicon-plane" aria-hidden="true"></span>
                                    </span>
                                    <select name="envio_codtrans" class="form-control">
                                        <option value="">Ninguna</option>
                                        <option value="">------</option>
                                        {loop="$fsc->agencia->all()"}
                                        <option value="{$value->codtrans}">{$value->nombre}</option>
                                        {/loop}
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                Código de seguimiento:
                                <input type="text" name="envio_codigo" class="form-control" autocomplete="off"/>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-3">
                            <div class="form-group">
                                Direcciones del cliente:
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <span class="glyphicon glyphicon-th-list" aria-hidden="true"></span>
                                    </span>
                                    <select name="envio_coddir" class="form-control" onchange="usar_direccion_envio();">
                                        <option value="">Ninguna</option>
                                        <option value="">------</option>
                                        {loop="$fsc->cliente_s->get_direcciones()"}
                                        {if="$value->domenvio"}
                                        <option value="{$value->id}">{$value->descripcion}</option>
                                        <option value="">------</option>
                                        {/if}
                                        {/loop}
                                        {loop="$fsc->cliente_s->get_direcciones()"}
                                        {if="!$value->domenvio"}
                                        <option value="{$value->id}">{$value->descripcion}</option>
                                        {/if}
                                        {/loop}
                                        <option value="">------</option>
                                        <option value="nueva">Guardar como nueva</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <a href="{$fsc->pais->url()}">País</a>:
                                <select class="form-control" name="envio_codpais">
                                    {if="$fsc->direccion"}
                                    {loop="$fsc->pais->all()"}
                                    {if="$value->codpais==$fsc->direccion->codpais"}
                                    <option value="{$value->codpais}" selected="">{$value->nombre}</option>
                                    {else}
                                    <option value="{$value->codpais}">{$value->nombre}</option>
                                    {/if}
                                    {/loop}
                                    {else}
                                    {loop="$fsc->pais->all()"}
                                    {if="$value->is_default()"}
                                    <option value="{$value->codpais}" selected="">{$value->nombre}</option>
                                    {else}
                                    <option value="{$value->codpais}">{$value->nombre}</option>
                                    {/if}
                                    {/loop}
                                    {/if}
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <span class="text-capitalize">{#FS_PROVINCIA#}</span>:
                                <input type="text" name="envio_provincia" id="ac_provincia2" class="form-control" autocomplete="off"/>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                Ciudad:
                                <input type="text" name="envio_ciudad" class="form-control" autocomplete="off"/>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                Código Postal:
                                <input type="text" name="envio_codpostal" class="form-control" autocomplete="off"/>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                Dirección:
                                <input type="text" name="envio_direccion" class="form-control" placeholder="Calle ..." autocomplete="off"/>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <span class="text-capitalize">{#FS_APARTADO#}</span>:
                                <input type="text" name="envio_apartado" class="form-control" autocomplete="off"/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {loop="$fsc->extensions"}
            {if="$value->type=='tab'"}
            <div role="tabpanel" class="tab-pane" id="ext_{$value->name}">
                <iframe src="index.php?page={$value->from}{$value->params}&cod={$fsc->cliente_s->codcliente}" width="100%" height="2000" frameborder="0"></iframe>
            </div>
            {/if}
            {/loop}
        </div>
    </div>
    <div class="container-fluid" style="margin-top: 10px;">
        <div class="row">
            <div class="col-sm-6">
                <button class="btn btn-sm btn-default" type="button" onclick="window.location.href = '{$fsc->url()}';">
                    <span class="glyphicon glyphicon-refresh"></span>&nbsp; Reiniciar
                </button>
            </div>
            <div class="col-sm-6 text-right">
                <button class="btn btn-sm btn-primary" type="button" onclick="$('#modal_guardar').modal('show');">
                    <span class="glyphicon glyphicon-floppy-disk"></span>&nbsp; Guardar...
                </button>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <br/>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-6">
                <div class="form-group">
                    Observaciones:
                    <textarea class="form-control" name="observaciones" rows="6"></textarea>
                </div>
            </div>
            <div class="col-sm-6">
                <p class="help-block">
                    Ajusta los precios fácilmente introduciendo primero la cantidad
                    y luego el total, se calculará el precio automaticamente.
                    También puedes ajustar el total de cada línea en cualquier momento,
                    se recalcula el descuento para ajustarse al precio final de la línea.
                </p>
                <p class="help-block">
                    <a href="#" class="label label-default" onclick="dtosl = !dtosl; recalcular();" title="Mostrar descuentos líneas adicionales">
                        <span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>&nbsp; Dtos líneas
                    </a>&nbsp;
                    pulsa este botón para añadir descuentos adicionales a las líneas del documento.
                </p>
                <p class="help-block">
                    <a href="#" class="label label-default" onclick="dtost = !dtost; recalcular();" title="Mostrar descuentos totales adicionales">
                        <span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>&nbsp; Dtos Totales
                    </a>&nbsp;
                    pulsa este botón para añadir descuentos adicionales al total del documento.
                </p>
                <p class="help-block">
                    <a href="#" class="label label-default" onclick="irpf = 21;recalcular();" title="Mostrar {#FS_IRPF#}">
                        <span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>&nbsp; {#FS_IRPF#}
                    </a>&nbsp;
                    pulsa este botón para añadir {#FS_IRPF#} al documento, o bien usa una serie que tenga {#FS_IRPF#}.
                </p>
                <p class="help-block">
                    <a href="#" class="label label-default" onclick="cliente.recargo = true;recalcular();" title="Mostrar Recargo de Equivalencia">
                        <span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>&nbsp; RE
                    </a>&nbsp;
                    pulsa este botón para añadir recargo de equivalencia al documento, o bien activa el recargo de
                    equivalencia en el cliente.
                </p>
            </div>
        </div>
    </div>

    <div class="modal fade" id="modal_guardar">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title">Guardar como...</h4>
                    <p class="help-block">
                        Puedes programar ventas usando el plugin
                        <a href="https://www.facturascripts.com/plugin/albaranes_programados" target="_blank">albaranes programados</a>.
                    </p>
                </div>
                <div class="modal-body">
                    {loop="$fsc->tipos_a_guardar()"}
                    <div class="radio">
                        <label>
                            {if="$value['tipo']==$fsc->tipo"}
                            <input type="radio" name="tipo" value="{$value['tipo']}" checked=""/>
                            {else}
                            <input type="radio" name="tipo" value="{$value['tipo']}"/>
                            {/if}
                            {$value['nombre']}
                        </label>
                    </div>
                    {/loop}
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <span class="glyphicon glyphicon-calendar"></span>
                                    </span>
                                    <input type="text"  name="fecha" class="form-control datepicker" value="{$fsc->today()}" autocomplete="off"/>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <span class="glyphicon glyphicon-time"></span>
                                    </span>
                                    <input type="text" readonly="true" name="hora" class="form-control" value="{$fsc->hour()}" autocomplete="off"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <span class='text-capitalize'>{#FS_NUMERO2#}:</span>
                        <input class="form-control" type="text" name="numero2" autocomplete="off"/>
                        <p class="help-block">
                            Puedes usar este campo como desées. Incluso puedes cambiarle el nombre
                            desde Admin &gt; Panel de control &gt; Avanzado.
                        </p>
                    </div>
                    <div class="form-group">
                        <a href="{$fsc->forma_pago->url()}">Forma de pago</a>:
                        <select name="forma_pago" class="form-control">
                            {loop="$fsc->forma_pago->all()"}
                            {if="$fsc->cliente_s->codpago==$value->codpago"}
                            <option value="{$value->codpago}" selected="">{$value->descripcion}</option>
                            {else}
                            <option value="{$value->codpago}">{$value->descripcion}</option>
                            {/if}
                            {/loop}
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="pull-left">
                        <div class="checkbox">
                            <label>
                                <input type="checkbox" name="stock" value="TRUE" checked="checked"/>
                                Descontar de stock
                            </label>
                        </div>
                    </div>
                    <div class="btn-group">
                        <button id="btn_guardar1" class="btn btn-sm btn-primary" type="button" onclick="this.disabled = true;this.form.submit();" title="Guardar y volver a empezar">
                            <span class="glyphicon glyphicon-floppy-disk"></span>&nbsp; Guardar
                        </button>
                        <button id="btn_guardar2" class="btn btn-sm btn-info" type="button" onclick="this.disabled = true;document.f_new_albaran.redir.value = 'TRUE';this.form.submit();" title="Guardar y ver documento">
                            <span class="glyphicon glyphicon-eye-open"></span>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>

{include="block/modal_buscar_articulo"}